@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Alfa+Slab+One&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body {
    font-family: "Montserrat", sans-serif;
    line-height: 1.2;
    font-size: 15px;
    color: #fff;
    background: #081847 url("/event/assets/images/malaysia_day_2026/bg.jpg") top center;
    background-size: cover;
}

a { text-decoration: none; cursor:pointer; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -o-transition: all 0.3s; transition: all 0.3s; }

a:hover, a:focus, button:focus, button:hover { text-decoration: none; outline: none; }

img { max-width:100%;}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}
button {
	background: none;
	border: none;
	padding: 0;
}
.t-body {
	overflow: hidden;
}
.deco {
	position: absolute;
	pointer-events: none;
}
.max-container {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 10px;
}
.music-wrapper {
    position: fixed;
    z-index: 99;
    right: 0;
    bottom: 100px;
    opacity: 1;
    transition: 0.3s;
    overflow: hidden;
    height: 40px;
    width: 40px;
    background: #fff;
    border-radius: 10px 0 0 10px;
}
.music-wrapper audio {
    position: absolute;
    left: -6px;
    top: -7px;
}
audio:focus {
	outline: none;
}
.floating-wrapper {
    position: fixed;
    z-index: 999;
    right: 3px;
    top: 100px;
    max-width: 55px;
}
button.float-btn {
    display: block;
    margin: 10% 0;
}
button.float-btn:hover {
	transform: scale(0.98);
	filter: brightness(1.08);
}
.dropdown-menu.language {
    min-width: 135px;
    background: none;
    border: none;
    width: 100%;
    padding: 0;
    margin: 0;
}
a.float-item {
    display: inline-block;
    max-width: 40px;
    margin: 5% auto;
}
a.float-item:hover {
	filter: brightness(1.07);
	transform: scale(1.03);
}

.top-sec {
    background: url("/event/assets/images/malaysia_day_2026/btm-bg.png")no-repeat bottom center;
    background-size: 100%;
    position: relative;
    padding: 10px 0 30px;
    text-align: center;
}
.deco.fw-1 {
    left: -12%;
    top: 8%;
    max-width: 26%;
	animation: firework 2.4s ease-in-out infinite;
}
.deco.fw-2 {
    right: -16%;
    top: 1%;
    max-width: 26%;
	animation: firework 2.4s ease-in-out infinite;
    animation-delay: 0.5s;
	opacity: 0;
}
@keyframes firework {
    0% {
        transform: scale(0.3);
		transform-origin: center;
		opacity: 0;
    }
    70% {
        transform: scale(1);
		opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
.deco.bird-1 {
    left: 4%;
    top: -7%;
    max-width: 21%;
	animation: float 2.1s ease-in-out infinite;
}
.deco.wau {
    right: 4%;
    top: -12%;
    max-width: 19%;
	animation: float 2.4s ease-in-out infinite;
}
.deco.cash-1 {
    left: 5%;
    top: 24%;
    max-width: 9%;
	animation: float 2.2s ease-in-out infinite;
}
.deco.cash-2 {
    left: -7%;
    top: 57%;
    max-width: 13%;
	animation: float 1.9s ease-in-out infinite;
}
.deco.cash-3 {
    right: 0%;
    top: 10%;
    max-width: 10%;
	animation: float 2.3s ease-in-out infinite;
}
.deco.cash-4 {
    right: -5%;
    top: 48%;
    max-width: 11%;
	animation: float 2s ease-in-out infinite;
}
.deco.claw-1 {
    max-width: 20%;
    left: 5%;
    top: 77%;
}
.deco.claw-2 {
    max-width: 20%;
    right: 5%;
    top: 77%;
}
@keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-13px);
    }
    100% {
        transform: translatey(0px);
    }
}
.logo {
    position: relative;
    max-width: 390px;
    margin: 0 auto 10px;
}
.title-top {
    position: relative;
    max-width: 1000px;
    margin: 0 auto;
}
.subtitle {
    font-size: 20px;
    font-family: 'Alfa Slab One';
    text-transform: uppercase;
    margin-bottom: 15px;
}
.date-wrap {
    position: relative;
    max-width: 460px;
    margin: 25px auto;
}
.date-text {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    font-weight: 700;
    text-shadow: 0 1px 4px rgb(0, 0, 0, 0.8);
	text-transform: uppercase;
}
.claim-note {
    text-transform: uppercase;
    font-size: 18px;
    padding: 5px 0;
}
.msbox {
    display: inline-block;
    vertical-align: top;
    width: 31%;
    position: relative;
    max-width: 350px;
    margin: 10px 0.5%;
}
.token-box {
    position: relative;
    margin-bottom: 20px;
}
.token-bonus {
    position: absolute;
    left: 0;
    right: 0;
    top: 42%;
}
button.claim-btn {
    position: absolute;
    left: 0;
    right: 0;
    top: 71%;
    background: url(/event/assets/images/malaysia_day_2026/claim-btn.png) no-repeat;
    background-size: 100% 100%;
    width: 100%;
    max-width: 55%;
    height: 83px;
    z-index: 2;
    margin: 0 auto;
    color: #fff;
    font-family: 'Alfa Slab One';
    font-size: 23px;
    text-shadow: 0 1px 5px rgb(0, 0, 0, 0.8);
    text-transform: uppercase;
    filter: brightness(0.7);
}
.active button.claim-btn {
	filter: none;
}
.claimed button.claim-btn {
	filter: none;
}
    .claimed button.claim-btn::after {
        content: '';
        background: url(/event/assets/images/malaysia_day_2026/checked.png) no-repeat;
        background-size: 100%;
        width: 51px;
        height: 45px;
        margin: 0 auto;
        position: absolute;
        left: 0;
        right: 0;
        top: 19%;
        filter: drop-shadow(0px 2px 2px rgb(0, 0, 0, .7));
    }
.active button.claim-btn:hover {
	transform: scale(0.98);
	filter: brightness(1.05);
}

.mstext {
    font-size: 20px;
    font-weight: 500;
}
.mytoken-wrap {
    position: relative;
    max-width: 550px;
    margin: 15px auto 5px;
}
.tk-title {
    position: absolute;
    left: 0;
    right: 0;
    top: 19%;
}
.token-num {
    position: absolute;
    left: 0;
    right: 0;
    top: 58%;
    font-size: 45px;
    font-family: 'Alfa Slab One';
    text-shadow: 0 1px 5px rgb(0, 0, 0, 0.8);
}
.max-note {
    font-size: 18px;
    text-transform: uppercase;
}
.deco.ballon-1 {
    left: 2%;
    top: 1%;
    max-width: 12%;
	animation: float 2.3s ease-in-out infinite;
}
.deco.ballon-2 {
    right: 1%;
    top: -7%;
    max-width: 12%;
	animation: float 2.4s ease-in-out infinite;
}
.deco.bird-2 {
    left: -32%;
    top: 57%;
    max-width: 40%;
    z-index: 10;
	animation: float 2.3s ease-in-out infinite;
}
.deco.tiger {
    right: -33%;
    top: 35%;
    max-width: 40%;
    z-index: 10;
	animation: float 2.1s ease-in-out infinite;
}

.modal-dialog.terms {
    max-width: 700px;
}
.modal-content.popup {
    border: 2px solid #c29f5f;
    border-radius: 0;
    background: rgb(0, 0, 0, 0.8);
    padding: 15px 20px;
}
button.close-x {
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 1;
    color: #fff;
}
.popup-title {
    font-family: 'Alfa Slab One';
    font-size: 24px;
    text-align: center;
    background: linear-gradient(180deg, rgba(215, 189, 128, 1) 0%, rgba(244, 235, 168, 1) 34%, rgba(159, 125, 61, 1) 80%, rgba(186, 150, 88, 1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(2px 3px 1px #000) drop-shadow(-1px 1px 2px black);
    text-transform: uppercase;
    margin-bottom: 15px;
}
ul.terms {
	padding-left: 17px;
}
ul.terms li {
	padding: 1px 0;
}


/** Claw Machine **/
.machine-wrapper {
    position: relative;
    max-width: 400px;
    margin: 30px auto;
}
.machine-base {
    position: relative;
    z-index: 2;
    pointer-events: none;
}
.window-wrap {
    position: absolute;
    height: 452px;
    background: url("/event/assets/images/malaysia_day_2026/claw-machine/bg.png")no-repeat top center;
    background-size: cover;
    overflow: hidden;
    left: 0;
    right: 0;
    top: 17%;
}
.crane-wrap {
    position: absolute;
    left: 19%;
    top: -62%;
    width: 17%;
	z-index: 1;
}
.crane {
    background: url("/event/assets/images/malaysia_day_2026/claw-machine/crane.png")repeat;
    background-size: 100%;
    height: 380px;
    width: 15%;
    margin: 0 auto;
}
.claw {
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
	transform-origin: top center;
}
.claw-center {
    position: relative;
    z-index: 1;
	max-width: 100%;
}
.claw-part {
    position: absolute;
	max-width: 80%;
}
.claw-part.left {
    left: -31%;
    top: 61%;
}
.claw-part.right {
    right: -31%;
    top: 62%;
}
.crane-wrap.top-16 .claw-part.left {
    transform-origin: top right;
    transform: rotate(-24deg);
}
.crane-wrap.top-16 .claw-part.right {
    transform-origin: top left;
    transform: rotate(24deg);
}

@keyframes swingClaw1 {
  from, to {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(10deg);
  }
  75% {
    transform: rotate(-10deg);
  }
}
@keyframes swingClaw2 {
  from, 20%, 30%, 50%, to {
    transform: rotate(0deg);
  }
  5%, 35% {
    transform: rotate(5deg);
  }
  15%, 45% {
    transform: rotate(-5deg);
  }
}
.fg-item {
    position: absolute;
    bottom: -13%;
    left: 0;
    right: 0;
    z-index: 2;
    max-width: 79%;
    margin: 0 auto;
}
.center-item {
    position: absolute;
    bottom: -3%;
    left: 0;
    right: 0;
    max-width: 83%;
    margin: 0 auto;
    z-index: 1;
}
.bg-item {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 9%;
    max-width: 80%;
    margin: 0 auto;
}
.display-item {
    position: absolute;
    max-width: 19%;
    z-index: 2;
}
.display-item.gift-1 {
    left: 15%;
    bottom: -4%;
    transform: rotate(-22deg);
}
.display-item.gift-2 {
    right: 19%;
    bottom: -4%;
    transform: rotate(22deg);
}
.display-item.gift-3 {
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: -2%;
    transform: rotate(9deg);
}

/** Reward Item Grabing **/
.crane-wrap.active-1 .prize-toy {
    background: url(/event/assets/images/malaysia_day_2026/claw-machine/item-1.png) no-repeat top center;
    background-size: 100%;
    width: 125%;
    height: 125px;
    margin: 0 auto;
    position: absolute;
    left: -12%;
    right: 0;
    top: 130%;
}
.crane-wrap.active-2 .prize-toy {
    background: url(/event/assets/images/malaysia_day_2026/claw-machine/item-2.png) no-repeat top center;
    background-size: 100%;
    width: 125%;
    height: 125px;
    margin: 0 auto;
    position: absolute;
    left: -12%;
    right: 0;
    top: 130%;
}
.crane-wrap.active-3 .prize-toy {
    background: url(/event/assets/images/malaysia_day_2026/claw-machine/item-3.png) no-repeat top center;
    background-size: 100%;
    width: 125%;
    height: 125px;
    margin: 0 auto;
    position: absolute;
    left: -12%;
    right: 0;
    top: 130%;
}

.control-btn {
    position: absolute;
    z-index: 3;
    left: 0;
    right: 0;
    bottom: 5%;
    text-align: center;
    filter: drop-shadow(0px 5px 5px rgb(0, 0, 0, 0.8));
}
button.ctrl-btn {
    max-width: 20%;
    margin: 0 1%;
}
button.drop-btn {
    max-width: 26%;
    margin: 0 1%;
}
button.ctrl-btn:active, button.drop-btn:active  {
	transform: scale(0.97);
	transform-origin: bottom center;
}



.modal-backdrop.show {
    opacity: 0.8;
}
.modal-content.reward {
    background: none;
    border: none;
    max-width: 200px;
    text-align: center;
    margin: 0 auto;
}
.reward-box {
	position: relative;
	cursor: pointer;
}
.prize-text {
    position: absolute;
    left: 0;
    right: 0;
    top: 54%;
    z-index: 2;
    font-size: 32px;
    font-weight: 700;
	color: #000;
	opacity: 0;
	visibility: hidden;
	transition: 0.2s;
	transform: scale(0.2);
}
.light-prize {
    position: absolute;
    top: 17%;
    left: 0;
    right: 0;
	animation: spinning 6s linear infinite;
	transform-origin: center;
	opacity: 0;
	visibility: hidden;
	transition: 0.2s;
}
@keyframes spinning {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.reward-box.active .prize-text {
	visibility: visible;
	opacity: 1;
	transform: scale(1);
	transition: 0.2s;
	transition-delay: 0.3s;
}
.reward-box.active .light-prize {
	visibility: visible;
	opacity: 1;
	transition: 0.2s;
}
button.claimnow-btn {
    background: url(/event/assets/images/malaysia_day_2026/claim-btn.png) no-repeat;
    background-size: 100% 100%;
    color: #000;
    font-size: 18px;
    font-weight: 700;
    border-radius: 10px;
    text-transform: uppercase;
    min-width: 190px;
    height: 70px;
    margin: 10px auto;
    display: none;
}
.note-open {
    color: #fff;
    font-weight: 600;
    font-size: 17px;
    line-height: 1.1;
    text-transform: uppercase;
    margin-top: 10px;
}
.reward-box.active ~ button.claimnow-btn {
	display: block;	
}
.reward-box.active ~ .note-open {
	display: none;
}


@media(max-width: 1080px) {
button.claim-btn {
    height: 7.4vw;
    font-size: 2.1vw;
}	
.token-bonus img {
    max-height: 6.6vw;
}
	
}

@media(max-width: 991px) {
.floating-wrapper {
	transform: scale(0.85);
	transform-origin: top right;
}	
.music-wrapper {
	transform: scale(0.85);
	transform-origin: right bottom;
}	
.logo {
    max-width: 42%;
}
.subtitle {
    font-size: 2vw;
}	
}

@media(max-width: 767px) {
.floating-wrapper {
	transform: scale(0.75);
}	
.music-wrapper {
	transform: scale(0.75);
}	
.date-wrap {
    max-width: 65%;
}	
.date-text {
    font-size: 3vw;
}
.collect-title {
    max-width: 90%;
    margin: 0 auto;
}	
.msbox {
    width: 45%;
}
.token-box {
    margin-bottom: 1.3vw;
}	
button.claim-btn {
	height: 9.4vw;
	font-size: 3vw;
}	
.token-bonus img {
	max-height: 8.6vw;
}
.claimed button.claim-btn::after {
    height: 6vw;
    width: 6vw;
}	
}


@media(max-width: 480px) {
.floating-wrapper {
	transform: scale(0.65);
}	
.music-wrapper {
	transform: scale(0.65);
}
.title-img {
    height: 68vw;
    margin: 0 -10px;
}	
.title-img img {
    object-fit: cover;
    height: 100%;
}	
.deco.claw-1 {
	max-width: 23%;
	left: -6%;
	top: 86%;
}
.deco.claw-2 {
	max-width: 23%;
	right: -6%;
	top: 87%;
}
.subtitle {
	font-size: 13px;
}
.claim-note {
    font-size: 14px;
}	
.mytoken-wrap {
    max-width: 85%;
}	
.tk-title img {
    max-height: 12vw;
}	
.token-num {
    font-size: 7vw;
}	
.max-note {
    font-size: 15px;
}	
.deco.bird-2, .deco.tiger {
	display: none;
}	
.mstext {
    font-size: 15px;
}
.modal-content.popup {
    font-size: 14px;
    padding: 15px 15px;
}	
.popup-title {
    font-size: 18px;
}	
}



@media(max-width: 400px) {	
.window-wrap {
	height: 115vw;
}
.crane {
    height: 96vw;
}	
}
















